*.....**************************
      subroutine InitLHA(iPdf)
*.....**************************

      implicit none

      integer iPdf
      character*20 parm(20)
      double precision value(20),Q2Max

      if (iPdf.LT.10000) then
         write(6,*) '***********************************'
         write(6,*) '***********************************'
         write(6,*) '           InitLHA: Error!'
         write(6,*) 'LHAPDF partons have PDF set > 10000'
         write(6,*) '      Requested  PDF set = ',iPdf
         write(6,*) '***********************************'
         write(6,*) '***********************************'
         stop
      endif

      parm(1)='DEFAULT'
      value(1) = dble(iPdf)
      call PDFSET(parm,value)

*.....Check PDF number is valid by getting Q2Max and 
*     seeing if this is a reasonable value!
      call GetQ2max(0,Q2Max)
      if (Q2Max .LT. 1000.0) then
         write(6,*) '***********************************'
         write(6,*) '***********************************'
         write(6,*) '           InitLHA: Error!'
         write(6,*) '     Please check PDF set number!'
         write(6,*) '          PDF set = ',iPdf
         write(6,*) '***********************************'
         write(6,*) '***********************************'
         stop
      endif
      write(6,*) 'InitLHA: Finished ipdf=',iPdf,Q2Max

      return
      end

*.....**************************************
      Real*8 Function GetParton(x,Q,iparton)
*.....**************************************
      
      implicit none

      integer iparton
      real*8 X, Q
      real*8 UV,DV,US,DS,SS,CS,BS,TS,GLU

*.....STRUCTM returns the momentum weighted parton density
*     i.e. returns x * PDF
*     but stand-alone CTEQ code returns simply the PDF
      call STRUCTM(X,Q,UV,DV,US,DS,SS,CS,BS,TS,GLU)

      GetParton = -999
      if (iparton.eq.0) GetParton = UV/X
      if (iparton.eq.1) GetParton = DV/X
      if (iparton.eq.2) GetParton = US/X
      if (iparton.eq.3) GetParton = DS/X
      if (iparton.eq.4) GetParton = SS/X
      if (iparton.eq.5) GetParton = CS/X
      if (iparton.eq.6) GetParton = BS/X
      if (iparton.eq.7) GetParton = TS/X
      if (iparton.eq.8) GetParton = GLU/X
c      write(6,*) 'GetParton: X , Q, i, pdf ',X,Q,iparton,GetParton
      
      return
      end


